#
# spec file for package ruby-zypp (Version 0.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost boost-devel bzip2 coreutils cpio cpp cpp41 cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel info insserv klogd less libacl libattr libcom_err libgcc41 libicu libidn libidn-devel libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libusb libvolume_id libxcrypt libxml2 libxml2-devel libzio libzypp libzypp-devel linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions pkgconfig pm-utils pmtools popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm rpm-devel ruby ruby-devel sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ruby-zypp
Version:        0.1
Release:        85.1
License:        GPL v2 or later
Group:          Development/Languages/Ruby
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ ruby-devel
BuildRequires:  libzypp-devel >= 2.0.0
Requires:       libzypp >= 2.0.0
Source:         %{name}.tar.bz2
Summary:        ruby bindings for libzypp

%description
This package provides ruby bindings for libzypp, the library for
package management.



Authors:
--------
    Duncan Mac-Vicar <dmacvicar@suse.de>
    Klaus Kmpf <kkaempf@suse.de>

%debug_package
%prep
%setup -n %{name}

%build
pushd src
    ruby extconf.rb
    make
popd
#make -C tests check

%install
%{__install} -D -m 0755 src/rzypp.so \
    %{buildroot}%{_libdir}/ruby/%{rb_ver}/%{rb_arch}/rzypp.so

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/%{rb_ver}/%{rb_arch}/rzypp.so
%doc MAINTAINER COPYING README
%doc tests/*.rb

%changelog
* Fri Aug 11 2006 - dmacvicar@suse.de
- initial support to create sources
- r3953
* Wed Jun 07 2006 - kkaempf@suse.de
- fix build
- set homedir in build environment
- temporarely disable "make check" in build
- rev 3525
* Thu Jun 01 2006 - kkaempf@suse.de
- include patch
- name pkg revision as svn rev.
- rev 3486
* Sat Apr 01 2006 - kkaempf@suse.de
- manipulate ResStatus directly in PoolItem.
- add Resolver class.
* Fri Mar 31 2006 - kkaempf@suse.de
- provide "<=>" operator for Edition.
- provide "NoEdition" constant for Edition.
- Add documentation (README)
- rev 2863
* Fri Mar 31 2006 - kkaempf@suse.de
- update to svn 20060331
* Tue Mar 21 2006 - mrueckert@suse.de
- Initial package
